# R_GE_P_INTERSECTING_RINGS

## Anforderung

| ID | R_GE_P_INTERSECTING_RINGS |
|---- | ---- |
| Beschreibung | Äußere und innere Ring dürfen sich nicht verschneiden |
| Parameter minVertexDistance | Zwei Ringe verschneiden sich nicht, wenn nur ein Punkt des einen Rings den Anderen berührt. Ein Punkt berührt eine Kante nur dann wenn der Abstand weniger als *minVertexDistance* ist. Punkte können als gleich angesehen werden, trotz (kleiner) Abstände, [siehe Vertex Anforderungen](geometric.md) |
| Fehlercode | GE_P_INTERSECTING_RINGS |  

Beispiele:

Äußerer Ring verschneidet inneren Ring:  
![exteriorIntersects](img/exteriorIntersects.png)

Zwei innere Rings verschneiden:  
![interiorIntersects](img/interiorIntersects.png)

## Prüfung

| ID | C_GE_P_INTERSECTING_RINGS |
|---- | ---- |
| Anforderungs ID | R_GE_P_INTERSECTING_RINGS |
| Vorbedingungen | R_SC_SCHEMA_VALIDATION, R_GE_R_ALL, [R_GE_P_NON_PLANAR](R_GE_P_NON_PLANAR.md), [R_GE_P_HOLE_OUTSIDE](R_GE_P_HOLE_OUTSIDE.md), [R_GE_P_INNER_RINGS_NESTED](R_GE_P_INNER_RINGS_NESTED.md), [R_GE_P_ORIENTATION_RINGS_SAME](R_GE_P_ORIENTATION_RINGS_SAME.md) |
| Beschreibung | Wenn ein Punkt eines inneren Rings außerhalb des äußeren ist oder innerhalb eines anderen inneren Rings, ist das eine Verschneidung. |
| Fehlercode | GE_P_INTERSECTING_RINGS |
