# R_GE_R_NOT_CLOSED

## Anforderung

| ID | R_GE_R_NOT_CLOSED |
|---- | ---- |
| Beschreibung | Der erste und letzte Punkt müssen in GML der gleiche sein. |
| Parameter minVertexDistance | Punkte können als gleich angesehen werden, trotz (kleiner) Abstände, [siehe Vertex Anforderungen](geometric.md) |
| Fehlercode | GE_R_NOT_CLOSED |

Zum Beispiel dieser Ring ist fehlerhaft:
```xml
<gml:LinearRing>
<gml:pos>0.0 0.0 0.0</gml:pos>
<gml:pos>1.0 0.0 0.0</gml:pos>	
<gml:pos>1.0 1.0 0.0</gml:pos>
<gml:pos>0.0 1.0 0.0</gml:pos>
</gml:LinearRing>
```
OK mit Parameter minVertexDistance = 0.1:
```xml
<gml:LinearRing>
<gml:pos>0.0 0.0 0.0</gml:pos>
<gml:pos>1.0 0.0 0.0</gml:pos>	
<gml:pos>1.0 1.0 0.0</gml:pos>
<gml:pos>0.0 1.0 0.0</gml:pos>
<gml:pos>0.0 0.0 0.05</gml:pos>
</gml:LinearRing>
```

## Prüfung

| ID | C_GE_R_NOT_CLOSED |
| ---- | ---- |
| Anforderungs ID | R_GE_R_NOT_CLOSED |
| Vorbedingungen | R_SC_SCHEMA_VALIDATION |
| Beschreibung | Der erste und letzte Punkt sollen der gleiche sein. |
| Fehlercode | GE_R_NOT_CLOSED |

