# R_GE_R_TOO_FEW_POINTS

## Anforderung

| ID | R_GE_R_TOO_FEW_POINTS |
|---- | ---- |
| Beschreibung | Ein Ring muss mindestens 3 Punkte haben. Für GML Ringe diese Anfoderung ignoriert die Tatsache, dass der erste und der letzte Punkt gleich sind (siehe [R_GE_R_NOT_CLOSED](R_GE_R_NOT_CLOSED.md)). <br /> Ein GML Ring ist nach dieser Anfoderung valide, wenn er mindestens 3 unterschiedliche Punkte enthält aber er ist dann nicht geschlossen (Die Anfoderung [R_GE_R_NOT_CLOSED](R_GE_R_NOT_CLOSED.md) ist nicht erfüllt). |
| Parameter minVertexDistance | Punkte können als gleich angesehen werden, trotz (kleiner) Abstände, [siehe Vertex Anforderungen](geometric.md) |
| Fehlercode | GE_R_TOO_FEW_POINTS |

Zum Beispiel, dieser Ring ist fehlerhaft:
```xml
<gml:LinearRing>
<gml:pos>0.0 0.0 0.0</gml:pos>
<gml:pos>1.0 0.0 0.0</gml:pos>	
<gml:pos>0.0 0.0 0.0</gml:pos>
</gml:LinearRing>
```
Valide Ringe:



``` {.xml .annotate}
<gml:LinearRing> <!-- (1)! -->
<gml:pos>0.0 0.0 0.0</gml:pos> 
<gml:pos>1.0 0.0 0.0</gml:pos>	
<gml:pos>0.0 1.0 0.0</gml:pos>
</gml:LinearRing>
```

1. Dieser Ring ist nicht geschlossen und wird daher vorher ausgeschlossen, hätte aber genug unterschiedliche Punkte, um dieser Anfoderung zu genügen.

```xml
<gml:LinearRing>
<gml:pos>0.0 0.0 0.0</gml:pos>
<gml:pos>1.0 0.0 0.0</gml:pos>	
<gml:pos>0.0 1.0 0.0</gml:pos>
<gml:pos>0.0 0.0 0.0</gml:pos>
</gml:LinearRing>
```

## Prüfung

| ID | C_GE_R_TOO_FEW_POINTS|
|---- | ---- |
| Anfoderungs ID | R_GE_R_TOO_FEW_POINTS |
| Vorbedingungen | R_SC_SCHEMA_VALIDATION, [R_GE_R_NOT_CLOSED](R_GE_R_NOT_CLOSED.md) |
| Beschreibung | Ring muss mindestens 3 unterschiedliche Punkte beinhalten |
| Fehlercode | GE_R_TOO_FEW_POINTS|

